import { SvelteComponentTyped } from "svelte";
import type { ButtonVariant } from './Button.styles';
import type { SvelteuiColor, SvelteuiNumberSize } from '../_styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        variant?: ButtonVariant;
        color?: SvelteuiColor;
        size?: SvelteuiNumberSize;
        radius?: SvelteuiNumberSize | number;
        type?: 'button' | 'reset' | 'submit' | 'menu';
        fullSize?: boolean;
        loading?: boolean;
        loaderPosition?: 'left' | 'right';
        gradientFrom?: SvelteuiColor;
        gradientTo?: SvelteuiColor;
        gradientDeg?: number;
        class?: string;
        href?: string;
        external?: boolean;
        disabled?: boolean;
        compact?: boolean;
        uppercase?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        leftIcon: {};
        default: {};
        rightIcon: {};
    };
};
export declare type ButtonProps = typeof __propDef.props;
export declare type ButtonEvents = typeof __propDef.events;
export declare type ButtonSlots = typeof __propDef.slots;
/**
 * A user can perform an immediate action by pressing a button. It's frequently used to start an action, but it can also be used to link to other pages.
 * [View Docs](https://example.com)
 *    - Usage:
 *        ```tsx
 *        <Button>Click</Button>
 *        ```
 */
export default class Button extends SvelteComponentTyped<ButtonProps, ButtonEvents, ButtonSlots> {
}
export {};
